
 SORT/KEYS:(abm.n,....)[/qualifiers] filespec[/INDEXED:n]/FORMAT:fmt
			/ALLOCATION:n			    FIXED:n
			/BLOCKSIZE:n			    STREAM:n
			/BUCKETSIZE:n			    UNKNOWN:n
			/CONTIGUOUS			    VARIABLE:n
			/DEVICE
			/FILES:n
			/FORMAT
			/OUTPUT:outfile
			/PROCESS
			/RELATIVE
			/SEQUENTIAL
			/SIZE:n

 The SORT command invokes the unbundled SORT-11 product to sort the
 records of the specified file in the specified manner. The SORT-11
 software is optional software and may not be available on your system.
 See your system manager to determine if SORT-11 (and hence the SORT
 command) is available to you.

 The /KEYS qualifier is required in most SORT command lines.  See HELP
 SORT KEYS for more information.  The default setting for /KEYS on the SORT 
 command is to sort alphabetically a file containing one record per line.
2 KEYS

 SORT/KEYS:(abm.n) filespec/FORMAT:fmt
 
 abm.n

	This argument specifies the key field.  You can specify up to 10 
	key fields, enclosed in parentheses and separated by colons, 
	such as the following:

			/KEYS:(BN1.6:CO8.2)
 
 a	Describes the data in the file and thus how it is to be handled.  If 
	the character is omitted, the default value is C.  The possible values 
	are as follows: B, C, D, F, I, J, K, P, Z.
 
	Type HELP SORT KEYS DATA for more information on these characters.
 
 b	Defines the general sort order.  The possible values are:
		N	Ascending order (the default)
		O	Opposite, or descending, order
 m	A decimal number giving the first byte of the key field
	starting from 1.  This number must be explicitly stated.
 n	A decimal number giving the length of the key field in
	bytes.  This number must be explicitly stated.
3 DATA

 The following letters can be substituted for the 'a' in the key field
 abm.n.  These letters describe the data in the input file.  If you do 
 not specify a letter, the default 'a' is C.  

	B	two's complement binary
	C	alphanumeric
	D	If the characters are alphabetic, numeric with the sign
		superimposed over the units digit, or contain slashes (/),
		use the value of the digits group.  
 
		If the characters represent a standard FORTRAN IV number,
		convert the number to binary for storage or evaluation.

	F	2- or 4-word floating point binary
	I	Same as D, but with the sign leading and separate, so that
		the first byte of the field is a + or -
	J	Same as I but with the sign trailing and separate
	K	Same as D but with the sign leading and overpunched
		(54321, for instance if positive,  would come out as
		5432A.  the negative of 54321 would be 5432J).
2 ALLOCATION

 SORT/KEYS:(abm.n)/ALLOCATION:n filespec/FORMAT:fmt

 The /ALLOCATION qualifier specifies the initial space allocation for
 the output file. Legal values range from 0 to 65,535. If you do not
 use this qualifier, the output file allocation defaults to the input
 file soze for the record and tag sort processes. For index and address
 routing sort processes, the default size is based on the number of
 records sorted.
2 BLOCKSIZE

 SORT/KEYS:(abm.n)/BLOCKSIZE:n filespec/FORMAT:fmt

 The /BLOCKSIZE qualifier is valid for magtapes only and is used to
 specify a nonstandard magtape blocksize. If this qualifier is not
 used, the blocksize defaults to the standard 512-byte block.
2 BUCKETSIZE

 SORT/KEYS:(abm.n)/BUCKETSIZE:n filespec/FORMAT:fmt

 The /BUCKETSIZE qualifier specifies the RMS bucket size (the number of
 512-byte blocks per bucket). Please note that the size of the block is
 the standard 512 bytes even if the /BLOCKSIZE qualifier is used. The
 default value of this qualifier depends on the organization of the
 input file. If the input and output files are of the same organization,
 the default for the output file is the input file value. If the input
 files differ in organization or the default is required for the input
 file, the default value is 1.
2 CONTIGUOUS

 SORT/KEYS:(abm.n)/CONTIGUOUS filespec/FORMAT:fmt

 The /CONTIGUOUS qualifier specifies that the output file be contigu-
 ously allocated. This means that each successive block assigned to a
 file will be physically located between its logical predecessor and its
 logical successor with no filler or extraneous material separating
 blocks. The default is non-contiguous.
2 DEVICE

 SORT/KEYS:(abm.n)/DEVICE:ddnn: filespec/FORMAT:fmt

 The device qualifier lets you specify which device you want to be
 associated with the scratch files. This switch overrides any device
 specification from task build options.
2 FILES

 SORT/KEYS:(abm.n)/FILES:n filespec/FORMAT:fmt

 The /FILES qualifier specifies the maximum number of intermediate
 scratch files. Legal values are from 3 to 8. The default value is 5.
2 FORMAT

 SORT/KEYS:(abm.n)/FORMAT:fmt:n filespec/FORMAT:fmt:n
			  FIXED			FIXED
			  STREAM		STREAM
			  VARIABLE		VARIABLE
			  UNKNOWN		UNKNOWN

 The /FORMAT qualifier specifies the record format ('fmt') and the
 maximum size ('n') in a file. The maximum record size 'n' is the exact
 record size in bytes for FIXED length records. For other formats, 'n'
 is the size in bytes of the largest record present. The records size is
 required only on input.

 This qualifier must be specified on input files even if the format is
 UNKNOWN. The default record format type is VARIABLE. The record format
 on output can be used to override the input record format.
2 OUTPUT

 SORT/KEYS:(abm.n)/OUTPUT:outfile filespec

 The /OUTPUT qualifier specifies the name of the output file.  The 
 default is the name of the input file.  The default file type is 
 .DAT.  
2 PROCESS
 
 SORT/KEYS:(abm.n)/PROCESS:RECORD filespec
		           TAG
			   ADDRESS_ROUTING
			   INDEX

 The /PROCESS qualifier specifies the type of sorting process to be 
 used.  The default is RECORD.
2 RELATIVE
 
 SORT/KEYS:(abm.n)/RELATIVE filespec

 The /RELATIVE qualifier specifies that the output file is to have 
 the relative file organization.
2 SEQUENTIAL

 SORT/KEYS:(abm.n)/SEQUENTIAL filespec

 The /SEQUENTIAL qualifier specifies that the output file is to 
 have the sequential file organization.
2 SIZE

 SORT/KEYS:(abm.n)/SIZE:n filespec

 The /SIZE qualifier specifies the size of the retrieval window.  
 The ranges and defaults for this switch are determined by the 
 operating system.  See your system manager for further information.
